<?php

declare(strict_types=1);

namespace App\Policies;

use Illuminate\Foundation\Auth\User as AuthUser;
use App\Models\MemberDue;
use Illuminate\Auth\Access\HandlesAuthorization;

class MemberDuePolicy
{
    use HandlesAuthorization;
    
    public function viewAny(AuthUser $authUser): bool
    {
        return $authUser->can('ViewAny:MemberDue');
    }

    public function view(AuthUser $authUser, MemberDue $memberDue): bool
    {
        return $authUser->can('View:MemberDue');
    }

    public function create(AuthUser $authUser): bool
    {
        return $authUser->can('Create:MemberDue');
    }

    public function update(AuthUser $authUser, MemberDue $memberDue): bool
    {
        return $authUser->can('Update:MemberDue');
    }

    public function delete(AuthUser $authUser, MemberDue $memberDue): bool
    {
        return $authUser->can('Delete:MemberDue');
    }

    public function deleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('DeleteAny:MemberDue');
    }

    public function restore(AuthUser $authUser, MemberDue $memberDue): bool
    {
        return $authUser->can('Restore:MemberDue');
    }

    public function forceDelete(AuthUser $authUser, MemberDue $memberDue): bool
    {
        return $authUser->can('ForceDelete:MemberDue');
    }

    public function forceDeleteAny(AuthUser $authUser): bool
    {
        return $authUser->can('ForceDeleteAny:MemberDue');
    }

    public function restoreAny(AuthUser $authUser): bool
    {
        return $authUser->can('RestoreAny:MemberDue');
    }

    public function replicate(AuthUser $authUser, MemberDue $memberDue): bool
    {
        return $authUser->can('Replicate:MemberDue');
    }

    public function reorder(AuthUser $authUser): bool
    {
        return $authUser->can('Reorder:MemberDue');
    }

}